Infrastructure - Bug #721

GMN log response seems to fail when iterating to end of the log record collection
Description

When iterating over the entire log collection, the Dryad MN fails with a 500 error when requesting a start past the total number of
records.

e.g.:

curl -v -H "Accept: text/xml" "http://dev-dryad-mn.dataone.org/mn/log?start=1073"
* About to connect() to dev-dryad-mn.dataone.org port 80 (#0)

* Trying 129.24.0.11... connected
* Connected to dev-dryad-mn.dataone.org (129.24.0.11) port 80 (#0)

GET /mn/log?start=1073 HTTP/1.1

User-Agent: curl/7.19.7 (universal-apple-darwin10.0) libcurl/7.19.7 OpenSSL/0.9.8l zlib/1.2.3

Host: dev-dryad-mn.dataone.org
Accept: text/xml

< HTTP/1.1 500 Internal Server Error

< Date: Sat, 24 Jul 2010 15:53:01 GMT

< Server: Apache/2.2.14 (Ubuntu)

< Vary: Accept-Encoding

< Content-Length: 629

< Connection: close

< Content-Type: text/html; charset=iso-8859-1

<

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0/EN">

500 Internal Server Error

Internal Server Error

The server encountered an internal error or

misconfiguration and was unable to complete

your request.

Please contact the server administrator,

webmaster@localhost and inform them of the time the error occurred,
and anything you might have done that may have

caused the error.

More information about this error may be available

in the server error log.

Apache/2.2.14 (Ubuntu) Server at dev-dryad-mn.dataone.org Port 80

* Closing connection #0

History

#1 - 2010-07-30 16:05 - Roger Dahl

- Status changed from New to Closed
http://dev-dryad-mn.dataone.org/mn/log?start=1073
https://redmine.dataone.org/projects/d1/wiki/OpenSSL

#2 - 2013-01-02 15:52 - Dave Vieglais

- Due date set to 2013-01-02

- Category changed from 299 to d1_mn_GMN
- Start date set to 2013-01-02

- translation missing: en.field_remaining_hours set to 0.0
